POST
/
api
/
v1
/
email-verify
/
validate
/
clean
Clean emails with SMTP checks
curl --request POST \
  --url https://email-clean.grorapid.com/api/v1/email-verify/validate/clean \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": [
    "first@example.com",
    "second@example.com"
  ]
}
'
{
  "message": "Email cleaned successfully.",
  "status": true,
  "statusCode": 200,
  "result": [
    {
      "_id": "6613f01af6d6f7f4c7785678",
      "userId": "6613efc1f6d6f7f4c7781234",
      "email": "first@example.com",
      "emailStatus": {
        "status": "valid",
        "valid": true,
        "isDisposable": false,
        "isValidDomain": true
      },
      "createdAt": "2026-04-06T10:18:00.000Z",
      "updatedAt": "2026-04-06T10:18:00.000Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
email
string<email>[]
required
Required array length: 1 - 50 elements

Response

Email cleaning completed successfully.

message
string
required
status
boolean
required
statusCode
integer
required
result
object[]
required